Package: org.gradle.jvm.platform

## [Java] Interface JavaPlatform

- org.gradle.platform.base.Platform

- All Superinterfaces:
    Named, Platform

  Defines and configures a Java SE runtime environment, consisting of a JVM runtime and a set of class libraries.

       plugins {
         id "jvm-component"
         id "java-lang"
       }

       model {
         components {
           myLib(JvmLibrarySpec) {
             targetPlatform "java6"
           }
         }
       }

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `JavaVersion` | `getTargetCompatibility()`
    `void` | `setTargetCompatibility(JavaVersion targetCompatibility)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Platform` | `getDisplayName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public JavaVersion getTargetCompatibility()

    - #### public void setTargetCompatibility(JavaVersion targetCompatibility)